Skip to main content
GET
Find By ID

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

external_id
string
required

A unique identifier for an object (movie, TV show, person) in the specified external source. This is necessary to find a specific item you are looking for.

Example:

""

Query Parameters

external_source
enum<string>
required

Specifies the source of the external ID

Available options:
imdb_id,
facebook_id,
Instagram_id,
tvdb_id,,
tiktok_id,
twitter_id,
wikidata_id,
youtube_id
Example:

"imdb_id"

language
string

Specifies the language in which the response should be returned.

Example:

"en-US"

Response

200 - application/json

find by id

movie_results
object[]

An array containing the results of movies based on the query. If the query doesn't return movie results, this array will be empty.

Example:
person_results
any[]

An array intended for returning information about individuals (e.g., actors, directors) related to the query.

Example:
tv_episode_results
any[]

An array designated for TV episode data related to the query.

Example:
tv_results
any[]

An array for returning results pertaining to TV shows.

Example:
tv_season_results
any[]

An array meant for TV season data relevant to the query.

Example: